Bug 1205160 - Complain loudly if backend doesn't start due to missing or invalid keytab
Summary: Complain loudly if backend doesn't start due to missing or invalid keytab
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Pavel Picka
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-24 10:53 UTC by Jakub Hrozek
Modified: 2020-05-02 17:23 UTC (History)
10 users (show)

Fixed In Version: sssd-1.13.0-0.1.alpha.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 11:37:02 UTC
Target Upstream Version:


Attachments (Terms of Use)
Verify log for bz (3.61 KB, text/plain)
2015-09-29 13:57 UTC, Pavel Picka
no flags Details


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3036 None None None 2020-05-02 17:23:49 UTC
Red Hat Product Errata RHSA-2015:2355 normal SHIPPED_LIVE Low: sssd security, bug fix, and enhancement update 2015-11-19 10:27:42 UTC

Description Jakub Hrozek 2015-03-24 10:53:08 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1994

The sssd_be loads the keytab on start and checks for the expected principal. In case the keytab is wrong or the principal is missing, there is no explanation with the default logging, just:
{{{
(Thu Jun 20 17:50:54 2013) [sssd[be[ipa.example.com]]] [load_backend_module] (0x0010): Error (2) in module (ipa) initialization (sssm_ipa_id_init)!
(Thu Jun 20 17:50:54 2013) [sssd[be[ipa.example.com]]] [be_process_init] (0x0010): fatal error initializing data providers
(Thu Jun 20 17:50:54 2013) [sssd[be[ipa.example.com]]] [main] (0x0010): Could not initialize backend [2]
}}}

We should make it clear that the back end didn't start due to wrong keytab.

Comment 4 Pavel Picka 2015-09-29 13:57:44 UTC
Created attachment 1078354 [details]
Verify log for bz

Verified

sssd-1.13.0-35.el7.x86_64

Comment 5 errata-xmlrpc 2015-11-19 11:37:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2355.html


Note You need to log in before you can comment on or make changes to this bug.